<script setup>
import loginPageImg from '@/assets/images/login-page-img1.jpg';
import {loginMoudle} from "@/views/moudle/user/login";
const {username, password, User, Lock, checkLogin} = loginMoudle();
</script>

<template>
	<div class="login-wrapper">
		<div class="login-content-wrapper">
			<div class="login-img">
				<img :src="loginPageImg" alt="" />
<!--				<img src="@/assets/images/logo1.png" alt="" />-->
			</div>
			<div class="login-content">
				<div class="sys-name">
<!--					<img src="@/assets/images/logo1.png" width="50" alt="" />-->
					动力电池安全检测大数据分析平台
				</div>
				<div class="input-wrapper">
					<el-input v-model="username" size="large" placeholder="请输入账户名" :prefix-icon="User" />
				</div>
				<div class="input-wrapper">
					<el-input v-model="password" type="password" show-password size="large" placeholder="请输入密码" :prefix-icon="Lock" />
				</div>
				<div class="full-button-wrapper">
					<el-button type="primary" size="large" class="full-button" @click="checkLogin">登录</el-button>
				</div>
			</div>
		</div>
		<div class="footer-content">
			<span style="margin-right: 16px">湖北工业大学</span><span>智能通信与大数据分析团队</span>
		</div>
	</div>
</template>

<style lang="less" scoped>
.login-wrapper {
	position: relative;
	display: flex;
	justify-content: center;
	flex-direction: column;
	align-items: center;
	height: 100%;
	background-image: url("@/assets/images/login-page-bg.png");
	background-repeat: no-repeat;
	background-size: 100% 100%;
	.login-content-wrapper {
		display: inline-block;
		padding: 50px;
		border-radius: 18px;
		background-color: #FFFFFF;
		.login-img {
			display: inline-block;
			vertical-align: middle;
			img {
				width: auto;
				height: 220px;
			}
		}
		.login-content {
			display: inline-block;
			vertical-align: middle;
		}
	}
}

.login-content {
	padding-left: 80px;
	.sys-name {
		text-align: center;
		font-size: 24px;
		letter-spacing: 2px;
		font-weight: 400;
		margin-bottom: 30px;
		img {
			vertical-align: middle;
		}
		.sub-text {
			font-size: 14px;
		}
	}
	.input-wrapper {
		margin-bottom: 20px;
	}
}
.full-button-wrapper {
	.full-button {
		width: 100%;
	}
}
.footer-content {
	position: absolute;
	width: 100%;
	bottom: 16px;
	text-align: center;
	color: #FFFFFF;
}
</style>
